Subject: Re: NNCP in Debian/Ubuntu Update

From: Sergey Matveev <[email-masked]>
Date: Mon, 20 Sep 2021 23:30:01 +0300

*** John Goerzen [2021-09-20 15:10]:
>So Debian has a very long-standing policy, going back decades, of not
>building dependencies from in-tree.

Hmm... I probably can understand that for dynamically linked
executables, but that seems strange for statically linked ones,
that Go does by default. Moreover, Go's go.mod/go.sum are tied
not to some abstract version of the library, but literally to its
exact commit/tag. And even in one Go program you can easily use
different versions of the same library, that will force you to
install golang-whatever-* of various versions. All of that seems
very strange to me, but it is Debian's decision, ok :-)

>There is also another long-standing policy that every Debian package must be
>buildable using only what is in Debian, and without network access.

That is good, without any doubts!

>It just wasn't the most suitable for a distribution (or, shall
>we say, a distribution with Debian's policies).

And that frightens me, because if someone want to report a bug, then it
have to report about dozen of dependencies and their exact versions,
instead of reporting only of Go version and NNCP's one. Oh well...
personally I slowly moving more and more to GNU Stow type of packages
management, manually building software :-)

>The uilive thing is a bit of an odd one; it was still in-tree in the git
>repo and it survived review so I guess it works for now :-)

As I remember I copied it and modified. It is not original version. Do
not remember why, but I believe to strip off various complicated
unneeded stuff.

>I also had to do a bit of hacking around the source tree; I don't quite
>understand it, but there was something relating to nncp/v7 that the
>automated tooling didn't quite deal well with (you can see this in the
>debian/rules file).

Strange, have no ideas where "src/go.cypherpunks.ru/nncp/v7/src" path
comes from. But yeah, last "src/" is not needed.

>So anyway, the long and short of it is, it is done, in the Debian way, and
>is working and will move ahead!

Cool!

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF